return {
    'nvim-telescope/telescope.nvim',
    dependencies = { 'nvim-lua/plenary.nvim', "sharkdp/fd", "nvim-tree/nvim-web-devicons" },
    config = function()
	local builtin = require('telescope.builtin')
	vim.keymap.set('n', '<leader>ff', builtin.find_files, {})
	vim.keymap.set('n', '<leader>fg', builtin.git_files, {})
	vim.keymap.set('n', '<leader>fs', function()
	    builtin.grep_string({search = vim.fn.input("What to grep? ")})
	end)
    end
}
